#!/usr/bin/env bash

echo "Archivo generado con Patchwerk (c) mrm/AnimeUnderground"
echo
if [[ ! $(which xdelta3) ]]; then
	echo "Es necesario tener instalado xdelta3. Saliendo."
	exit -1
else
if [[ ! -f "[FnF] Little Busters! - 14 [CBA57E1B].mkv" ]]; then
		echo "No se encuentra el fichero de origen: [FnF] Little Busters! - 14 [CBA57E1B].mkv"
		exit -1
	fi

if [[ ! -f "[FnF] Little Busters! - 14 [parche fuentes].xdelta" ]]; then
		echo "No se encuentra el parche: [FnF] Little Busters! - 14 [parche fuentes].xdelta"
		exit -1
	fi

	echo "Archivo de origen: [FnF] Little Busters! - 14 [CBA57E1B].mkv"
	echo "Archivo de destino: [FnF] Little Busters! - 14 [2603F138].mkv"
	echo "Aplicando parche..."
	xdelta3 -f -d -B 268435456 -s "[FnF] Little Busters! - 14 [CBA57E1B].mkv" "[FnF] Little Busters! - 14 [parche fuentes].xdelta" "[FnF] Little Busters! - 14 [2603F138].mkv"
	echo "Parche aplicado."
fi

exit 0
